import 'package:dotup_dart_geolocation_core/dotup_dart_geolocation_core.dart';
import 'package:dotup_dart_geolocation_here_maps/dotup_dart_geolocation_here_maps.dart';

class HereConverter {
  static Address? hereAddressToAddress(HereAddress? hereAddress) {
    if (hereAddress == null) {
      return null;
    }

    return Address(
      city: hereAddress.City,
      country: hereAddress.Country,
      county: hereAddress.County,
      district: hereAddress.District,
      houseNumberOrName: hereAddress.HouseNumber,
      postalCode: hereAddress.PostalCode,
      state: hereAddress.State,
      street: hereAddress.Street,
      countryCode: hereAddress.CountryCode,
      subdistrict: hereAddress.Subdistrict,
    );
  }
}
